/*
 * @LastEditors: gcz
 */

import themeColor from "./color"
let page2Char2Schema = {
    title: {
        text: '树种分布统计',
        textStyle: {
            color: themeColor.mainColor,
        }
    },
    tooltip: {
        trigger: 'axis',
        axisPointer: {
            type: 'shadow'
        }
    },
    legend: {
        textStyle: {
            color: '#fff',
        }
    },
    grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        containLabel: true
    },
    yAxis: {
        type: 'value',
        axisLabel: {
            color: "rgba(255, 255, 255, 1)"
        }
    },
    xAxis: {
        type: 'category',
        data: ['1', '2', '3', '4', '5', '6', '7'],
        axisLabel: {
            color: "rgba(255, 255, 255, 1)"
        }
    },
    series: [
        {
            name: '松树',
            type: 'bar',
            stack: 'total',
            label: {
                show: false
            },
            emphasis: {
                focus: 'series'
            },
            data: [1, 1, 1, 2, 2, 1, 0]
        },
        {
            name: '马尾松',
            type: 'bar',
            stack: 'total',
            label: {
                show: false
            },
            emphasis: {
                focus: 'series'
            },
            data: [1, 8, 8, 2, 6, 9, 9]
        },
        {
            name: '杉树',
            type: 'bar',
            stack: 'total',
            label: {
                show: false
            },
            emphasis: {
                focus: 'series'
            },
            data: [8, 1, 1, 6, 2, 0, 1]
        }
    ]

}
export default page2Char2Schema